Bug 116429 - RFE: Allow mediacheck during kickstart
Summary: RFE: Allow mediacheck during kickstart
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard: FC4
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-21 00:19 UTC by Forrest
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 15:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Let mediacheck run if kickstart is specified (1.06 KB, patch)
2004-02-21 00:21 UTC, Forrest
no flags Details | Diff

Description Forrest 2004-02-21 00:19:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Allow use of mediacheck during kickstart installs.

I create kickstart CDs that are used around the company, thus I need
to allow mediacheck on these discs to rule out bad media.

Version-Release number of selected component (if applicable):
anaconda-9.90-5

How reproducible:
Always

Steps to Reproduce:
1.  Use mediacheck with ks

Actual Results:  Mediacheck will not run with kickstart

Comment 1 Forrest 2004-02-21 00:21:34 UTC
Created attachment 97893 [details]
Let mediacheck run if kickstart is specified

Comment 2 Jeremy Katz 2004-02-23 03:37:11 UTC
This might be reasonable to allow, but not in this way... it
completely breaks automation of installs which is what people will
_usually_ want.  Should probably key off of FL_MEDIACHECK flag to
force in the kickstart case.

Comment 3 Forrest 2004-02-23 20:33:49 UTC
Well, it only breaks it if they didn't set the --supported-iso flag to
implantisomd5 ;o)

So, something like don't do mediacheck if FL_KICKSTART unless it is
specifically called?




Comment 4 Jeremy Katz 2005-04-17 01:16:18 UTC
Added in CVS so that if you pass mediacheck on the command line (or in the
ks.cfg, etc) then you get mediacheck even on a kickstart install.


Note You need to log in before you can comment on or make changes to this bug.